> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/program-api/program/program-terms.md).

# Program Terms

The Program Terms object represents terms in the form of uploaded PDF or DOCX documents, as well as links to documents hosted externally.&#x20;

This object contains the following attributes:

<table><thead><tr><th width="151">Field</th><th width="161">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>(Read-only) The business identifier of the terms. </td></tr><tr><td><code>href</code></td><td>string</td><td>(Read-only) The resource URI of the terms. </td></tr><tr><td><code>name</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>The name of the terms. </td></tr><tr><td><code>description</code></td><td>string, core</td><td>A description of the terms. </td></tr><tr><td><code>displayOrder</code></td><td>integer, core</td><td>The display order of the terms. </td></tr><tr><td><code>status</code></td><td>string, core</td><td><p>The status of the terms. Allowed values are:</p><ul><li><code>Draft</code></li><li><code>Published</code></li><li><code>Unpublished</code></li><li><code>Published</code></li></ul></td></tr><tr><td><code>program</code></td><td>object</td><td>Represents the <a href="/pages/OzRwQwC6RejBVxYPk8St"><code>program</code></a> to which the term item belongs.</td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM">audit</a> object.</td></tr></tbody></table>

## Example

{% code title="THE PROGRAM TERMS OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "TCS-3159-1891-0980-8679",
  "href": "/programs/PRG-6822-9898-4256/terms/TCS-3159-1891-0980-8679",
  "name": "Microsoft 365 Terms of Service",
  "description": "Description of Microsoft 365 Terms of Service",
  "displayOrder": 100,
  "state": "Draft",
  "program": {
    "id": "PRG-6822-9898-4256",
    "href": "/programs/PRG-6822-9898-4256",
    "name": "Microsoft AI Cloud Partner"
  },
  "audit": {
    "created": {
      "at": "2024-01-16T21:30:13.1046031",
      "by": {
        "id": "USR-0000-0001"
      }
    },
    "updated": null
  }
}
```

{% endcode %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/program-api/program/program-terms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
